# Incorrect or missing consent notice on website

Have you finished creating your consent banner and copied the Didomi tag (from the "**EMBED**" section) onto your site, but you don't see your banner or it's not displaying correctly?

Please check the following elements to ensure that you have correctly configured your consent banner.

#### 1. Make sure that the Embed code is present on your site.

Using Chrome's developer tools (right-click anywhere on the page, select "**Inspect**," and go to the Console section), ensure that the Didomi Embed code is present on your site.\
\
You can verify that the Javascript function **Didomi.getConfig()** exists on your site. :

![Didomi.getConfig](/files/G3Ch3dnb8UShmEf1rW9l)

If you receive a JavaScript error, the Didomi SDK has not been properly loaded on your site. Please double-check that the code obtained from the Embed section of the console is correctly present on your site.

#### 2. Make sure that the console configuration is properly loaded.

1. Type **window\.didomiRemoteConfig** in the Chrome developer tools console.
2. Press enter.
3. If you see "undefined," it means that there is no configuration coming from the console or there is an error.
4. To resolve this issue, please refer to the sections "**Target the correct domain name**" and "**Publish your banner**" further down.

#### 3. **Target the correct domain name**

Your consent banner must target the domain name of the site on which it is deployed, or target any domain name, to ensure that it will be displayed.

1. Read our detailed article on [**targeting a banner**](https://support.didomi.io/targeting-of-a-consent-notice-new-flow).
2. Also, ensure that no other banner has a similar targeted domain, as this could potentially override the banner you intend to display.

#### 4. Configure the Partners

1. Make sure that your consent banner is configured to collect consent for at least one partner.
2. &#x20;If no partners are configured, no consent is required, and the consent banner will not be displayed. You should then add partners in the " Edit VENDORS & PURPOSES" button of your banner in the Didomi Console. You will find this button under your regulation.
3. If you have custom partners, ensure they are linked to purposes. Consent cannot be collected for partners that are not associated with any purposes.

#### **5. Publish your banner**

1. &#x20;Click the "**PUBLISH**" button to publish your banner. This ensures that the banner you have configured is deployed on your site.

![ezgif.com-video-to-gif](/files/CF7Vk2sN6nLCL9CFgmID)

&#x20;

Similarly, each time you make changes to your consent banner, be sure to publish them so that they appear on your site.

#### 6. A local configuration "overrides" a remote configuration.

Using your browser's developer tools, type `window.didomiConfig` in the Console section and press Enter. If you see anything other than "undefined," this could potentially be the reason. Ask your developers to remove the JavaScript object from the source code. If there is one, make sure it is intentional.

#### 7. Translate your banner.

Ensure that your banner is  translated into the languages you selected.\
\
If not, your banner will not be able to display.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.didomi.io/consent-management-platform-cmp/troubleshoot/incorrect-or-missing-consent-notice-on-website.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
